org.springframework.cloud.dataflow.rest.resource

## Class StreamDefinitionResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<StreamDefinitionResource>
  - - org.springframework.cloud.dataflow.rest.resource.StreamDefinitionResource

-     public class StreamDefinitionResource
      extends org.springframework.hateoas.RepresentationModel<StreamDefinitionResource>

  A HATEOAS representation of a `StreamDefinition`. This class also includes a description of the `stream status`.

  Note: this implementation is not thread safe.

  Author:
    Patrick Peralta, Ilayaperumal Gopinathan, Gunnar Hillert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreamDefinitionResource.Page`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StreamDefinitionResource()` Default constructor for serialization frameworks.
    `` | `StreamDefinitionResource(String name, String dslText, String originalDslText, String description)` Construct a `StreamDefinitionResource`.
    `` | `StreamDefinitionResource(String name, String dslText, String originalDslText, String description, String status, String statusDescription)` Construct a `StreamDefinitionResource`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Return the description of the stream definition.
    `String` | `getDslText()` Return the DSL definition for this stream.
    `String` | `getName()` Return the name of this stream.
    `String` | `getOriginalDslText()` Return the original DSL definition for this stream.
    `String` | `getStatus()` Return the status of this stream (i.e.
    `String` | `getStatusDescription()` Get a descriptive text of the stream's deployment status.
    `void` | `setStatus(String status)` Set the status of this stream (i.e.
    `void` | `setStatusDescription(String statusDescription)` Set the descriptive text of the stream's deployment status.

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamDefinitionResource

          protected StreamDefinitionResource()

      Default constructor for serialization frameworks.

    - #### StreamDefinitionResource

          public StreamDefinitionResource(String name,
                                          String dslText,
                                          String originalDslText,
                                          String description)

      Construct a `StreamDefinitionResource`.
      Parameters:
        `name` - stream name
        `dslText` - stream definition DSL text
        `originalDslText` - original stream definition DSL text
        `description` - Description of the stream definition

    - #### StreamDefinitionResource

          public StreamDefinitionResource(String name,
                                          String dslText,
                                          String originalDslText,
                                          String description,
                                          String status,
                                          String statusDescription)

      Construct a `StreamDefinitionResource`.
      Parameters:
        `name` - stream name
        `dslText` - stream definition DSL text
        `originalDslText` - original stream definition DSL text
        `description` - Description of the stream definition
        `status` - the status of the stream
        `statusDescription` - Description of the stream status

  - ### Method Detail

    - #### getName

          public String getName()

      Return the name of this stream.
      Returns:
        stream name

    - #### getDslText

          public String getDslText()

      Return the DSL definition for this stream.
      Returns:
        stream definition DSL

    - #### getOriginalDslText

          public String getOriginalDslText()

      Return the original DSL definition for this stream.
      Returns:
        the original stream definition DSL

    - #### getDescription

          public String getDescription()

      Return the description of the stream definition.
      Returns:
        stream definition description

    - #### getStatus

          public String getStatus()

      Return the status of this stream (i.e. deployed, undeployed, etc).
      Returns:
        stream status

    - #### setStatus

          public void setStatus(String status)

      Set the status of this stream (i.e. deployed, undeployed, etc).
      Parameters:
        `status` - stream status

    - #### getStatusDescription

          public String getStatusDescription()

      Get a descriptive text of the stream's deployment status. See also `DeploymentStateResource`.
      Returns:
        a descriptive text of the stream's deployment status

    - #### setStatusDescription

          public void setStatusDescription(String statusDescription)

      Set the descriptive text of the stream's deployment status. See also `DeploymentStateResource`
      Parameters:
        `statusDescription` - the stream's deployment status description

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.